Core - Bug # 47848

Task # 47756 (Resolved): Remove require / require_once fallback layers for namespaced classes
Complexity:
Subiject: Remove dummy files from ext:install

Description

Associated revisions

Revision a35b7653 - 2013-05-04 10:11 - Christian Kuhn

[TASK] Remove dummy files from ext:install

The install tool is always bootstrap'ed by typo3/install/index.php,
we can rely on the class loader to find files, so the removed
require_once calls are ok.

The eidHandler for the random key calculation runs through FE

bootstrap, so this is also ok to not require manually.

Change-Id: 145ed37a19039418b1edc440b735809182833ce2d
Resolves: #47848

Related: #47756

Releeases: 6.2

Reviewed-on: https://review.typo3.org/20441

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Anja Leichsenring

Tested-by: Anja Leichsenring

History

#1 - 2013-05-02 20:56 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/20441

#2 - 2013-05-02 20:59 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20441
#3 - 2013-05-04 10:30 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:a35b7653c5a4d26cb9a224bc962e5059886¢c49b5.
